#ifndef	CLIB_OPENURL_PROTOS_H
#define	CLIB_OPENURL_PROTOS_H

/*
**  $VER: rxtoolkit_protos.h 4.4 (1.3.2003)
**
**  C prototypes. For use with 32 bit integers only.
**
**  openurl.library - universal URL display and browser
**  launcher library
**
**  Written by Troels Walsted Hansen <troels@thule.no>
**  Placed in the public domain.
**
**  Developed by:
**  - Alfonso Ranieri <alforan@tin.it>
**  - Stefan Kost <ensonic@sonicpulse.de>
**
*/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef UTILITY_TAGITEM_H
#include <utility/tagitem.h>
#endif

#ifndef LIBRARIES_OPENURL_H
#include <libraries/openurl.h>
#endif

/* Obsolete, don't use! */
struct URL_Prefs *URL_OldGetPrefs(void);
void URL_OldFreePrefs(struct URL_Prefs *);
BOOL URL_OldSetPrefs(struct URL_Prefs *, BOOL);
struct URL_Prefs *URL_OldGetDefaultPrefs(void);
BOOL URL_OldLaunchPrefsApp(void);

/* Reach URL */
BOOL URL_OpenA(STRPTR, struct TagItem *);
BOOL URL_Open(STRPTR, Tag, ...);

/* Preferences */
struct URL_Prefs *URL_GetPrefsA(struct TagItem *);
struct URL_Prefs *URL_GetPrefs(Tag tag1,...);
void URL_FreePrefsA(struct URL_Prefs *,struct TagItem *);
void URL_FreePrefs(struct URL_Prefs *,Tag tag1,...);
BOOL URL_SetPrefsA(struct URL_Prefs *, struct TagItem *);
BOOL URL_SetPrefs(struct URL_Prefs *, Tag tag1,...);

/* Prefs application */
BOOL URL_LaunchPrefsAppA(struct TagItem *);
BOOL URL_LaunchPrefsApp(Tag tag1,...);

#endif /* CLIB_OPENURL_PROTOS_H */
